%define lib_major	18
%define lib_name	%mklibname %{name} %{lib_major}
%define lib_name_d	%mklibname %{name} -d

Name:		gloox
Version:	1.0.24
Release:	%mkrel 3
Summary:	C++ full-featured Jabber/XMPP client library
License:	GPLv2+
Group:		Networking/Remote access
URL:		https://camaya.net/gloox/
Source0:	https://camaya.net/download/%{name}-%{version}.tar.bz2
Patch0:		fix-ctime.patch
# From deb
Patch1:		fix-pkg-config-bad-directive.patch
Patch2:		fix-ftbfs-gcc12-time.patch
#
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(iksemel)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(zlib)

%description
gloox is a C++ Jabber/XMPP library which takes care of the
low-level protocol stuff. Additionally, it offers high-level
interfaces for interaction with an XMPP server. It is released
under the GNU GPL. Commercial licenses are available.

%package -n %{lib_name}
Summary:        Libraries for %{name}
Group:          Networking/Instant messaging
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
%{name} libraries.

%package -n %{lib_name_d}
Summary:        Headers for %{name}
Group:          Networking/Instant messaging
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{lib_name} = %{version}-%{release}

Obsoletes:      %{_lib}gloox-static-devel < 1.0.14-3

%description -n %{lib_name_d}
Headers for %{name} libraries.

%prep
%setup -q
%autopatch -p1

%build
# 11/11/2009 fix underlinking
export PTHREAD_LIBS="-lpthread"
%configure --disable-static --without-tests
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{lib_name}
%{_libdir}/lib*%{name}.so.%{lib_major}{,.*}

%files -n %{lib_name_d}
%doc AUTHORS ChangeLog TODO UPGRADING
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/lib*%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Nov 07 2022 ghibo <ghibo> 1.0.24-3.mga9
+ Revision: 1904465
- Add patches to fix building with gcc12

* Fri Apr 01 2022 umeabot <umeabot> 1.0.24-2.mga9
+ Revision: 1839231
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 daviddavid <daviddavid> 1.0.24-1.mga8
+ Revision: 1663802
- new version: 1.0.24
- now libmajor is 18

* Thu Feb 20 2020 umeabot <umeabot> 1.0.23-2.mga8
+ Revision: 1546124
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.0.23-1.mga8
+ Revision: 1486077
- new version: 1.0.23
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 07 2019 daviddavid <daviddavid> 1.0.22-1.mga7
+ Revision: 1363749
- new version: 1.0.22

* Sun Sep 23 2018 umeabot <umeabot> 1.0.21-2.mga7
+ Revision: 1297917
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 daviddavid <daviddavid> 1.0.21-1.mga7
+ Revision: 1243539
- new version: 1.0.21

* Fri May 11 2018 kekepower <kekepower> 1.0.20-2.mga7
+ Revision: 1228374
- Rebuild for libidn 1.35

* Tue Aug 15 2017 daviddavid <daviddavid> 1.0.20-1.mga7
+ Revision: 1140996
- new version: 1.0.20
- now libmajor is 17
- remove unneeded static-devel subpackage

* Thu Feb 11 2016 umeabot <umeabot> 1.0.14-2.mga6
+ Revision: 954081
- Mageia 6 Mass Rebuild

* Wed Jan 13 2016 luigiwalser <luigiwalser> 1.0.14-1.mga6
+ Revision: 922364
- library major is now 13
- 1.0.14
- rebuild for gnutls

* Fri Sep 11 2015 fwang <fwang> 1.0.9-7.mga6
+ Revision: 876928
- rebuild for new libgcrypt

* Sun Sep 06 2015 akien <akien> 1.0.9-6.mga6
+ Revision: 873775
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-5.mga5
+ Revision: 746289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9-4.mga5
+ Revision: 679650
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 fwang <fwang> 1.0.9-3.mga5
+ Revision: 668930
- bump rel
- do not build tests

* Tue Apr 01 2014 dams <dams> 1.0.9-2.mga5
+ Revision: 611121
+ rebuild (emptylog)

* Tue Feb 04 2014 dams <dams> 1.0.9-1.mga5
+ Revision: 581208
- new version 1.0.9
- clean specfile
- imported package gloox


* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.0-2mdv2010.1
+ Revision: 537298
- rebuild

* Thu Nov 12 2009 Jérôme Brenier <incubusss@mandriva.org> 1.0-1mdv2010.1
+ Revision: 465106
- update to new version 1.0
- fix underlinking

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.9-1mdv2010.0
+ Revision: 447919
- Update to new version 0.9.9.9

* Wed Jun 10 2009 Jérôme Brenier <incubusss@mandriva.org> 0.9.9.7-1mdv2010.0
+ Revision: 384927
- update to new (bugfix) version 0.9.9.7

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Funda Wang <fwang@mandriva.org> 0.9.9.5-1mdv2009.0
+ Revision: 194514
- New version 0.9.9.5

* Sun Jan 20 2008 David Walluck <walluck@mandriva.org> 0.9.9.3-1mdv2008.1
+ Revision: 155178
- 0.9.9.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 0.9.8-1mdv2008.1
+ Revision: 116646
- New version 0.9.8

* Sun Nov 18 2007 Funda Wang <fwang@mandriva.org> 0.9.7-2mdv2008.1
+ Revision: 109833
- fix typo of obsoletes

* Sun Nov 18 2007 Funda Wang <fwang@mandriva.org> 0.9.7-1mdv2008.1
+ Revision: 109812
- New version 0.9.7
- fix obosleted of devel package

* Fri Oct 26 2007 Funda Wang <fwang@mandriva.org> 0.9.6.1-1mdv2008.1
+ Revision: 102255
- New version 0.9.6.1

* Thu Sep 27 2007 David Walluck <walluck@mandriva.org> 0.9.5-1mdv2008.1
+ Revision: 93389
- 0.9.5

* Wed Aug 15 2007 Funda Wang <fwang@mandriva.org> 0.9.4.1-1mdv2008.0
+ Revision: 63703
- New version
- New devel package policy

* Sat Jul 21 2007 David Walluck <walluck@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 54249
- 0.9.3

* Sun Jun 24 2007 David Walluck <walluck@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 43545
- 0.9.2

* Thu Jun 21 2007 David Walluck <walluck@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 41969
- 0.9.1

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.8.8-3mdv2008.0
+ Revision: 36162
- rebuild with correct optflags

  + David Walluck <walluck@mandriva.org>
    - add _requires_exceptions libresolv.so.2(GLIBC_PRIVATE)
    - fix lib major (should be 4, not 0)
    - use %%mklibname for package names
    - fix gnutls conditional support
    - add %%bcond_with gnutls option
    - provide gloox in main lib package
    - correct devel provides
    - build static library
    - major spec file cleanup

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.8-1mdv2008.0
+ Revision: 18132
- New release 0.8.8


* Mon Mar 19 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.7-1mdv2007.1
+ Revision: 146408
- New release

* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.6-1mdv2007.1
+ Revision: 139482
- Add BR
- Fix Build
- New release 0.8.6
- New release 0.8.4
- Import gloox

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 0.8.1-1mdv2007.0
- New release 0.8.1

* Mon Jul 24 2006 Olivier Blin <blino@mandriva.com> 0.8-2mdv2007.0
- rebuild for new glibc

* Fri Apr 14 2006 Jerome Soyer <saispo@mandriva.org> 0.8-1mdk
- New release 0.8

* Thu Apr 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.6.1-1mdk
- New release 0.7.6.1
- use mkrel

* Fri May 13 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.7.3-1mdk
- First Mandrakelinux release

